module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				alive_time=3,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_301/Prefabs/301_attack2.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0,
		},
		[2]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.8,
		},
		[3]={
			args={
				excutor=[[atkobj]],
				face_to=[[fixed_pos]],
				pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				time=0,
			},
			func_name=[[FaceTo]],
			start_time=1,
		},
		[4]={args={alive_time=0.5,},func_name=[[Name]],start_time=1,},
		[5]={
			args={sound_path=[[Magic/sound_magic_50301_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=1,
		},
		[6]={args={},func_name=[[MagcAnimStart]],start_time=1.58,},
		[7]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_301/Prefabs/301_hit2_2.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=2.2,
		},
		[8]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=2.2,
		},
		[9]={args={},func_name=[[MagcAnimEnd]],start_time=2.3,},
		[10]={args={},func_name=[[End]],start_time=2.99,},
	},
	group_cmds={},
	magic_anim_end_time=2.3,
	magic_anim_start_time=1.58,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_301/Prefabs/301_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_301/Prefabs/301_hit2_2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
